<%--
 ~
 ~ Copyright (c) 2021, WSO2 Inc. (http://www.wso2.com). All Rights Reserved.
 ~
 ~ This software is the property of WSO2 Inc. and its suppliers, if any.
 ~ Dissemination of any information or reproduction of any material contained
 ~ herein in any form is strictly forbidden, unless permitted by WSO2 expressly.
 ~ You may not alter or remove any copyright or other notice from copies of this content."
 ~
--%>

<%@ page import="org.owasp.encoder.Encode" %>
<%@ page import="java.io.File" %>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>

<%@include file="../includes/localize.jsp" %>
<%@ include file="../app-insights.jsp" %>

<%
    String stat = "Error 500 - Internal Server Error";
%>

<!doctype html>
<html>
<head>
    <script type="text/javascript">
        AppInsights.getInstance().trackEvent("authentication-portal-error", {
            "type": "error-response",
            "status": "500",
            "status-message": "<%=stat%>" !== "null" ? "<%=stat%>" : ""
        });
    </script>
    <!-- header -->
    <%
        File headerFile = new File(getServletContext().getRealPath("extensions/header.jsp"));
        if (headerFile.exists()) {
    %>
        <jsp:include page="../extensions/header.jsp"/>
    <% } else { %>
        <jsp:include page="../includes/header.jsp"/>
    <% } %>
</head>
<body class="login-portal layout authentication-portal-layout">

    <div class="page-wrapper">
        <main class="center-segment">

            <div class="slogan-container">
                <!-- product-title -->
                <%
                    File productTitleFile = new File(getServletContext().getRealPath("extensions/product-title.jsp"));
                    if (productTitleFile.exists()) {
                %>
                    <jsp:include page="../extensions/product-title.jsp"/>
                <% } else { %>
                    <jsp:include page="../includes/product-title.jsp"/>
                <% } %>

                <h2 class="ui header portal-logo-tagline slogan-message">
                    <%=Encode.forHtml(stat)%>
                </h2>

                <p class="portal-tagline-description">
                    Please write to <a href="mailto:asgardeo-help@wso2.com" target="_blank"><span class="orange-text-color button">asgardeo-help@wso2.com</span></a> for assistance.
                </p>
            </div>

            <div class="ui container medium aligned middle aligned">
                <!-- illustration-->
                <div class="thank-you-img">
                    <img class="ui fluid image" src="libs/themes/asgardio/assets/images/something-went-wrong.svg">
                </div>
            </div>

        </main>

        <!-- product-footer -->
        <%
            File productFooterFile = new File(getServletContext().getRealPath("extensions/product-footer.jsp"));
            if (productFooterFile.exists()) {
        %>
            <jsp:include page="../extensions/product-footer.jsp"/>
        <% } else { %>
            <jsp:include page="../includes/product-footer.jsp"/>
        <% } %>

        <!-- footer -->
        <%
            File footerFile = new File(getServletContext().getRealPath("extensions/footer.jsp"));
            if (footerFile.exists()) {
        %>
            <jsp:include page="../extensions/footer.jsp"/>
        <% } else { %>
            <jsp:include page="../includes/footer.jsp"/>
        <% } %>
    </div>

</body>
</html>
